<?php

		require_once 'ListDailySales.inc';
		
		/*****************************************************/
		/********************** SMARTY ***********************/
		/*****************************************************/
		$Calendar_daFormat = str_replace("d","%d",str_replace("m","%m",str_replace("Y","%Y",$GLOBALS['timedate']->get_date_format())));
		// Default value from date input
		$currentDate = $GLOBALS['timedate']->to_display_date($date_from);
		$date_from = $GLOBALS['timedate']->to_display_date($date_from);
		$date_to = $GLOBALS['timedate']->to_display_date($date_to);
		
		// create & execute smarty
		$smarty = new Sugar_Smarty ();
		global $mod_strings;
		$smarty -> assign( "MOD", $mod_strings );
		$smarty -> assign( "DATA", $data);
		$smarty -> assign( "SUM", $sum); 
		$smarty -> assign( "date_from", $date_from );
		$smarty -> assign( "date_to", $date_to );
		$smarty -> assign("dateFormat", $Calendar_daFormat);
		$smarty -> assign("searchByType", $searchByType);
		$smarty -> assign("contractorId", $contractorId);
		$smarty -> assign("contractorName", $contractorName);
		$smarty -> assign("pdfTypeU", $pdfTypeU);
		$smarty -> assign("pdfTypeK", $pdfTypeK);
		$smarty -> assign("pdfTypeE", $pdfTypeE);
			
		// Eksport do PDF
		if( $_GET['toPDF'] == '1' ) {
			$output = $smarty->fetch( 'modules/EcmReports/tpls/PDF/ListDailySales.tpl' );
			include_once ("include/MPDF57/mpdf.php");
			$p = new mPDF ( '', 'A4', null, 'helvetica', 10, 10, 10, 10, 5, 5 );
			
			$p->setTitle($mod_strings["LBL_SUBPANEL_TITLE"]);
			$p->writeHTML( $output );
			$p->Output ('RaportSprzedazy.pdf', 'I');
		} else {
			echo $smarty->display ( 'modules/EcmReports/tpls/ListDailySales.tpl' );
		}
		
?>